Package serp.bytecode

# Class LocalVariableType

java.lang.Object
serp.bytecode.Local
serp.bytecode.LocalVariableType

All Implemented Interfaces:
  `BCEntity`, `InstructionPtr`

public class LocalVariableType extends Local
A local variable type contains the name, signature, index and scope of a generics-using local used in opcodes.

Author:
  Abe White

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptVisit(BCVisitor visit)`
`LocalVariableTypeTable`
`getLocalVariableTypeTable()`
The owning table.

### Methods inherited from class serp.bytecode.Local

`getClassLoader, getCode, getEnd, getLength, getLocal, getName, getNameIndex, getParam, getPool, getProject, getStart, getStartPc, getTable, getTypeIndex, getTypeName, isValid, replaceTarget, setEnd, setLength, setLocal, setName, setNameIndex, setParam, setStart, setStartPc, setType, setTypeIndex, updateTargets`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getLocalVariableTypeTable

public LocalVariableTypeTable getLocalVariableTypeTable()
The owning table.

### acceptVisit

public void acceptVisit(BCVisitor visit)